Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.infoml.infocardOrganizer
Class InfocardBuilder

    java.lang.Object
      org.infoml.infocardOrganizer.InfocardBuilder

    public class InfocardBuilder

extends java.lang.Object

Author:
  gw

Constructor Summary
`InfocardBuilder(Main infomlFile, NotecardModel model)`

Method Summary
`static void` | `buildOutlineInfocards(java.util.Vector nodes, java.util.Vector cardIds, java.util.Vector preOrdCardIds, Main infomlFile)`
`void` | `generateCardId()` This may be old code no longer in use (unsure)
`void` | `modifyInfocard(InfomlType infocard)`
`void` | `setAgentX(Agent agentX)`
`void` | `setCardId()` This may be old code no longer in use (unsure)
`void` | `setContainerDate()`
`void` | `setContainerNamePart1()`
`void` | `setContainerNamePart2()`
`void` | `setContent()`
`void` | `setCorporateAgent()`
`void` | `setCreator(NotecardModel setupModel)`
`void` | `setDateCreated()`
`void` | `setEnclosingAgentX(Agent agentX)`
`void` | `setEnclosingContainerTitle()`
`void` | `setEnclosingContainerVolumeIssue()`
`void` | `setExactQuotation()`
`void` | `setModel(NotecardModel model)`
`void` | `setNotes1()`
`void` | `setNotes2()`
`void` | `setPages()`
`void` | `setSelectors()`
`void` | `setStandardInfocard()`
`void` | `setTitle()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### InfocardBuilder

    public InfocardBuilder(Main infomlFile,
                           NotecardModel model)

Method Detail

### setModel

    public void setModel(NotecardModel model)

### setStandardInfocard

    public void setStandardInfocard()

### modifyInfocard

    public void modifyInfocard(InfomlType infocard)

### buildOutlineInfocards

    public static void buildOutlineInfocards(java.util.Vector nodes,
                                             java.util.Vector cardIds,
                                             java.util.Vector preOrdCardIds,
                                             Main infomlFile)

### generateCardId

    public void generateCardId()

  This may be old code no longer in use (unsure)

### setCardId

    public void setCardId()

  This may be old code no longer in use (unsure)

### setCreator

    public void setCreator(NotecardModel setupModel)

### setTitle

    public void setTitle()

### setDateCreated

    public void setDateCreated()

### setContent

    public void setContent()

### setNotes1

    public void setNotes1()

### setNotes2

    public void setNotes2()

### setSelectors

    public void setSelectors()

### setExactQuotation

    public void setExactQuotation()

### setPages

    public void setPages()

### setContainerNamePart1

    public void setContainerNamePart1()

### setContainerNamePart2

    public void setContainerNamePart2()

### setContainerDate

    public void setContainerDate()

### setAgentX

    public void setAgentX(Agent agentX)

### setEnclosingContainerVolumeIssue

    public void setEnclosingContainerVolumeIssue()

### setEnclosingContainerTitle

    public void setEnclosingContainerTitle()

### setEnclosingAgentX

    public void setEnclosingAgentX(Agent agentX)

### setCorporateAgent

    public void setCorporateAgent()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD